Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160752 - accounting of SETITIMER_PROF inaccurate
Summary: accounting of SETITIMER_PROF inaccurate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-17 03:53 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:23:30 UTC


Attachments (Terms of Use)
correct behaviour of SIGPROF/itimer. (deleted)
2005-06-29 20:58 UTC, Don Howard
no flags Details | Diff
Norm's (correct) original suggestion. (deleted)
2005-07-15 07:21 UTC, Don Howard
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Issue Tracker 2005-06-17 03:53:13 UTC
Escalated to Bugzilla from IssueTracker

Comment 12 Don Howard 2005-06-29 20:58:23 UTC
Created attachment 116147 [details]
correct behaviour of SIGPROF/itimer.

Comment 21 Peter Martuccelli 2005-07-13 18:01:50 UTC
Patch has been submitted, pending review, on schedule for release in RHEL3 U6.

Comment 22 Ernie Petrides 2005-07-13 23:38:56 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.11.EL).


Comment 23 Tom Kincaid 2005-07-14 13:46:59 UTC
QE ACK

Comment 25 Don Howard 2005-07-15 07:21:06 UTC
Created attachment 116792 [details]
Norm's (correct) original suggestion.

Comment 27 Bryan Mason 2005-07-15 19:07:48 UTC
I just built a test kernel based on 2.4.21-32 and sent it to DreamWorks for testing.

Comment 32 Red Hat Bugzilla 2005-09-28 15:23:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.